=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
export G_MESSAGES_DEBUG=all
export URL_DISPATCHER_DISABLE_RECOVERABLE_ERROR=1
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
export DEB_BUILD_PROFILES := cross
endif

include /usr/share/dpkg/buildflags.mk
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=debug

override_dh_missing:
	dh_missing --fail-missing

override_dh_apparmor:
	dh_apparmor --profile-name=lomiri-url-dispatcher-bad-url-helper -p lomiri-url-dispatcher

override_dh_auto_test:
	dh_auto_test --no-parallel

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
