## lomiri-url-dispatcher 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(lomiri-url-dispatcher C CXX)
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.4)
 
 string(TOLOWER "${CMAKE_BUILD_TYPE}" cmake_build_type_lower) # Build types should always be lowercase but sometimes they are not.
 
@@ -11,6 +11,7 @@
 
 enable_testing ()
 option (enable_lcov "Generate Coverage Reports" ON)
+option (enable_mirclient "Enable overlay using mirclient" ON)
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
 
@@ -89,6 +90,9 @@
 endif()
 message("Installing DBus interfaces to ${DBUSIFACEDIR}")
 
+pkg_check_modules(SYSTEMD REQUIRED systemd)
+pkg_get_variable(SYSTEMD_USER_UNIT_DIR systemd systemduserunitdir)
+
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
