=== debian/changelog ===
lomiri-url-dispatcher (0.1.1-2) unstable; urgency=medium

  * Bump lomiri-app-launch version requirement
  * Add patch to build aganst lomiri-app-launch without mirclient

 -- Marius Gripsgard <marius@ubports.com>  Wed, 04 Jan 2023 15:18:45 +0100

lomiri-url-dispatcher (0.1.1-1) unstable; urgency=medium

  * [debian/control] Add myself as uploader
  * [debian/copyright] Refresh copyright to match new release
  * [debian/control] Add systemd as B-D
  * [debian/control] Renable lomiri-ui-tookit deps
  * [debian/.install] Update install to match upstream
  * [debian/rules] Disable use mirclient
  * [debian/patches] Drop upstreamed patches:
    - 0001_Fix-compile-error-with-new-glib-versions.patch
    - 0002_Fix-generic-URL-regex.patch
    - 0003_gui-lomiri-url-dispatcher-gui.desktop.in-Add-Keyword.patch
    - 0004_gcc-12-fix.patch
    - 1001_fix-runtime-error-fftbfs.patch

 -- Marius Gripsgard <marius@ubports.com>  Tue, 03 Jan 2023 09:54:48 +0100

lomiri-url-dispatcher (0.1.0-8) unstable; urgency=medium

  * debian/:
    + Update upstream Git repo URL.
  * debian/patches:
    + Add 0004_gcc-12-fix.patch. (Closes: #1016254).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Sep 2022 23:51:42 +0200

lomiri-url-dispatcher (0.1.0-7) unstable; urgency=medium

  * Upload as-is source-only.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 26 Feb 2022 22:50:42 +0100

lomiri-url-dispatcher (0.1.0-6) unstable; urgency=medium

  * debian/patches:
    + Add 1002_adjust-to-sqlite3-upper-case-types.patch. Test for built-in types
      case-insensitively. Due to behaviour change in sqlite 3.37.x. (Closes:
      #1005608).
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/*.lintian-overrides:
    + Rename lintian tag binary-without-manpage to no-manual-page.
  * debian/patches:
    + Add 0003_gui-lomiri-url-dispatcher-gui.desktop.in-Add-Keyword.patch. Add
      Keywords= key to .desktop file.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 14 Feb 2022 13:38:18 +0100

lomiri-url-dispatcher (0.1.0-5) unstable; urgency=medium

  * debian/patches:
    + Add 0001_Fix-compile-error-with-new-glib-versions.patch. Fix FTBFS
      against latest GLib-2.0. Thanks to Luca Weiss. (Closes: #997237).
  * debian/patches:
    + Add 0002_Fix-generic-URL-regex.patch. Fix generic URL regexp. Thanks to
      Hatato.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 08 Nov 2021 18:09:17 +0100
