=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
+ Marius Gripsgard <marius@ubports.com>,
 Build-Depends: cmake,
                cmake-extras (>= 1.5-7~),
                dbus-test-runner,
@@ -21,16 +22,17 @@
                libgtest-dev,
                libjson-glib-dev,
                libsqlite3-dev,
-               liblomiri-app-launch-dev (>= 0.0.90),
+               liblomiri-app-launch-dev (>= 0.1.2-2),
                python3,
                python3-dbusmock,
                python3-fixtures,
                python3-nose,
                python3-testtools,
                sqlite3,
-Standards-Version: 4.5.1
+               systemd,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/ubports/core/lomiri-url-dispatcher
+Homepage: https://gitlab.com/ubports/development/core/lomiri-url-dispatcher
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-url-dispatcher.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-url-dispatcher/
 
@@ -42,7 +44,7 @@
          ${shlibs:Depends},
 # For the bad URL dialog
          qtchooser,
-# FIXME: qml-lomiri-ui-toolkit-plugin,
+         qml-module-lomiri-components
 Description: Lomiri Operating Environment service for requesting URLs to be opened
  Allows applications to request a URL to be opened and handled by another
  process without seeing the list of other applications on the system or
@@ -68,7 +70,7 @@
          ${misc:Depends},
          ${shlibs:Depends},
          qtchooser,
-# FIXME: qml-module-ubuntu-components-labs,
+         qml-module-lomiri-components-labs,
 Description: GUI tools for working with the Lomiri URL Dispatcher
  Allows applications to request a URL to be opened and handled by another
  process without seeing the list of other applications on the system or
