## lomiri-url-dispatcher 0.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-project(lomiri-url-dispatcher C CXX)
-cmake_minimum_required(VERSION 3.4)
+cmake_minimum_required(VERSION 3.5)
+project(lomiri-url-dispatcher VERSION 0.1.2 LANGUAGES C CXX)
 
 string(TOLOWER "${CMAKE_BUILD_TYPE}" cmake_build_type_lower) # Build types should always be lowercase but sometimes they are not.
 
@@ -17,6 +17,7 @@
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 set(GETTEXT_PACKAGE ${CMAKE_PROJECT_NAME})
+set(DESKTOP_FILE ${PROJECT_NAME}-gui.desktop)
 
 find_package(PkgConfig REQUIRED)
 find_package(GDbus)
@@ -49,7 +50,7 @@
   set(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
 endif()
 
-pkg_check_modules(LOMIRI_APP_LAUNCH REQUIRED lomiri-app-launch-0>=0)
+pkg_check_modules(LOMIRI_APP_LAUNCH REQUIRED lomiri-app-launch-0>=0.1.3)
 include_directories(${LOMIRI_APP_LAUNCH_INCLUDE_DIRS})
 
 pkg_check_modules(GLIB2 REQUIRED glib-2.0)
