=== data/CMakeLists.txt ===

###########################
# Set stuff
###########################

set(pkglibexecdir "${CMAKE_INSTALL_FULL_LIBEXECDIR}/lomiri-url-dispatcher")
set(datadir "${CMAKE_INSTALL_FULL_DATADIR}")

###########################
# DBus Interfaces, Service
###########################

configure_file(
com.lomiri.URLDispatcher.service.in
${CMAKE_CURRENT_BINARY_DIR}/com.lomiri.URLDispatcher.service
)

install(
FILES
${CMAKE_CURRENT_BINARY_DIR}/com.lomiri.URLDispatcher.service
DESTINATION ${DBUSSERVICEDIR}
)

install(
FILES
com.lomiri.URLDispatcher.xml
DESTINATION ${DBUSIFACEDIR}
)

###########################
# systemd
###########################

configure_file(
lomiri-url-dispatcher.service.in
${CMAKE_CURRENT_BINARY_DIR}/lomiri-url-dispatcher.service
)

configure_file(
lomiri-url-dispatcher-update-system-dir.path.in
${CMAKE_CURRENT_BINARY_DIR}/lomiri-url-dispatcher-update-system-dir.path
)

configure_file(
lomiri-url-dispatcher-update-system-dir.service.in
${CMAKE_CURRENT_BINARY_DIR}/lomiri-url-dispatcher-update-system-dir.service
)

configure_file(
lomiri-url-dispatcher-update-user-dir.path.in
${CMAKE_CURRENT_BINARY_DIR}/lomiri-url-dispatcher-update-user-dir.path
)

configure_file(
lomiri-url-dispatcher-update-user-dir.service.in
${CMAKE_CURRENT_BINARY_DIR}/lomiri-url-dispatcher-update-user-dir.service
)

install(
FILES
${CMAKE_CURRENT_BINARY_DIR}/lomiri-url-dispatcher.service
${CMAKE_CURRENT_BINARY_DIR}/lomiri-url-dispatcher-update-system-dir.path
${CMAKE_CURRENT_BINARY_DIR}/lomiri-url-dispatcher-update-system-dir.service
${CMAKE_CURRENT_BINARY_DIR}/lomiri-url-dispatcher-update-user-dir.path
${CMAKE_CURRENT_BINARY_DIR}/lomiri-url-dispatcher-update-user-dir.service
DESTINATION ${SYSTEMD_USER_UNIT_DIR}
)

###########################
# Click Hook
###########################

configure_file("lomiri-url-dispatcher.hook.in"
	"${CMAKE_SOURCE_DIR}/debian/lomiri-url-dispatcher.hook"
	@ONLY
)

###########################
# QML
###########################

install(
FILES
bad-url.qml
DESTINATION ${datadir}/lomiri-url-dispatcher
)
