=== gui/CMakeLists.txt ===
include(FindGettext)

install(FILES
	lomiri-url-dispatcher-gui.qml
	lomiri-url-dispatcher-gui.svg
	DESTINATION "${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/gui/")
install(FILES
	${CMAKE_CURRENT_BINARY_DIR}/lomiri-url-dispatcher-gui.desktop
	DESTINATION "${CMAKE_INSTALL_DATADIR}/applications/")

configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in)
add_custom_target(${DESKTOP_FILE} ALL
    COMMENT "Merging translations into ${DESKTOP_FILE}..."
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
            --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
            -o ${DESKTOP_FILE}
            -d ${CMAKE_SOURCE_DIR}/po
)
