=== service/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,14 @@
 # Dispatcher Lib
 ###########################
 
+if(enable_mirclient)
+  set(OVERLAY_MIR_SOURCES
+	overlay-tracker-mir.h
+	overlay-tracker-mir.cpp
+  )
+  add_definitions(-DUSE_MIRCLIENT=1)
+endif()
+
 add_library(dispatcher-lib STATIC
 	dispatcher.h
 	dispatcher.c
@@ -36,8 +44,7 @@
 	overlay-tracker.h
 	overlay-tracker.cpp
 	overlay-tracker-iface.h
-	overlay-tracker-mir.h
-	overlay-tracker-mir.cpp
+	${OVERLAY_MIR_SOURCES}
 )
 
 target_link_libraries(dispatcher-lib
