=== debian/changelog ===
lomiri-url-dispatcher (0.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump versioned B-D to lomiri-app-launch-dev (>= 0.1.3).
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * lintian: Adjust overrides to new syntax.
  * debian/patches:
    + Improve 1002_adjust-to-sqlite3-upper-case-types.patch as suggested by
      Ratchanan Srirattanamet.
  * debian/lomiri-url-dispatcher.install:
    + Include locale files. This needs to be moved into separate common:pkg
      in the bookworm+1 cycle.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 02:04:01 +0100
