=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libgtest-dev,
                libjson-glib-dev,
                libsqlite3-dev,
-               liblomiri-app-launch-dev (>= 0.1.2-2),
+               liblomiri-app-launch-dev (>= 0.1.3),
                python3,
                python3-dbusmock,
                python3-fixtures,
@@ -30,7 +30,7 @@
                python3-testtools,
                sqlite3,
                systemd,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-url-dispatcher
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-url-dispatcher.git
