=== debian/changelog ===
lomiri-url-dispatcher (0.1.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Remove unnecessary get-orig-source-target.

  [ Mike Gabriel ]
  * Revert "Remove unnecessary get-orig-source-target."

  [ Marius Gripsgard ]
  * New upstream release (closes: 1041120)
  * debian/control: Change my email to debian.org

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 26 Jul 2023 03:54:00 +0200
