=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
- Marius Gripsgard <marius@ubports.com>,
+ Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: cmake,
                cmake-extras (>= 1.5-7~),
                dbus-test-runner,
@@ -17,7 +17,7 @@
                lcov,
                libapparmor-dev,
                libdbus-1-dev,
-               libdbustest1-dev (>= 14.04.0),
+               libdbustest1-dev,
                libglib2.0-dev,
                libgtest-dev,
                libjson-glib-dev,
