=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/lomiri-url-dispatcher/tags .*/lomiri-url-dispatcher-(\d\S+)\.tar\.gz
