## lomiri-url-dispatcher 0.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-url-dispatcher VERSION 0.1.3 LANGUAGES C CXX)
+project(lomiri-url-dispatcher VERSION 0.1.4 LANGUAGES C CXX)
 
 string(TOLOWER "${CMAKE_BUILD_TYPE}" cmake_build_type_lower) # Build types should always be lowercase but sometimes they are not.
 
@@ -50,7 +50,7 @@
   set(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
 endif()
 
-pkg_check_modules(LOMIRI_APP_LAUNCH REQUIRED lomiri-app-launch-0>=0.1.3)
+pkg_check_modules(LOMIRI_APP_LAUNCH REQUIRED lomiri-app-launch-0>=0.1.4)
 include_directories(${LOMIRI_APP_LAUNCH_INCLUDE_DIRS})
 
 pkg_check_modules(GLIB2 REQUIRED glib-2.0)
@@ -76,6 +76,11 @@
 
 pkg_check_modules(APPARMOR REQUIRED libapparmor)
 include_directories(${APPARMOR_INCLUDE_DIRS})
+
+if(enable_mirclient)
+  pkg_search_module(MIR REQUIRED mir1client mirclient)
+  include_directories(${MIR_INCLUDE_DIRS})
+endif()
 
 if(${LOCAL_INSTALL})
   set(DBUSSERVICEDIR "${CMAKE_INSTALL_DATADIR}/dbus-1/services/")
