=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -16,3 +16,8 @@
             -o ${DESKTOP_FILE}
             -d ${CMAKE_SOURCE_DIR}/po
 )
+
+configure_file(lomiri-url-dispatcher-gui.in lomiri-url-dispatcher-gui @ONLY)
+install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/lomiri-url-dispatcher-gui
+  DESTINATION ${CMAKE_INSTALL_BINDIR}
+)
