=== service/CMakeLists.txt ===
--- 
+++ 
@@ -58,6 +58,12 @@
 	${SQLITE_LIBRARIES}
 	${LOMIRI_APP_LAUNCH_LIBRARIES}
 )
+
+if(enable_mirclient)
+  target_link_libraries(dispatcher-lib
+	${MIR_LIBRARIES}
+  )
+endif()
 
 ###########################
 # URL DB Lib
