=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -22,18 +22,22 @@
 # Mir Mock Lib
 ###########################
 
-add_library(mir-mock-lib SHARED
+if(enable_mirclient)
+  add_library(mir-mock-lib SHARED
 	mir-mock.h
 	mir-mock.cpp)
 
-target_link_libraries(mir-mock-lib
+  target_link_libraries(mir-mock-lib
 	-pthread
 	${GLIB2_LIBRARIES}
-)
+  )
 
-set_target_properties(mir-mock-lib PROPERTIES
-	OUTPUT_NAME "mir-mock"
-)
+  set_target_properties(mir-mock-lib PROPERTIES
+  	OUTPUT_NAME "mir-mock"
+  )
+
+  add_definitions(-DUSE_MIRCLIENT=1)
+endif()
 
 ###########################
 # Dispatcher test
@@ -121,8 +125,9 @@
 # overlay tracker test
 ###########################
 
-add_executable (overlay-tracker-test overlay-tracker-test.cpp)
-target_link_libraries (overlay-tracker-test
+if(enable_mirclient)
+  add_executable (overlay-tracker-test overlay-tracker-test.cpp)
+  target_link_libraries (overlay-tracker-test
 	dispatcher-lib
 	mir-mock-lib
 	mock-lib
@@ -131,7 +136,8 @@
 	${GIO2_LIBRARIES}
 	${DBUSTEST_LIBRARIES})
 
-add_test (overlay-tracker-test overlay-tracker-test)
+  add_test (overlay-tracker-test overlay-tracker-test)
+endif()
 
 ###########################
 # Coverage
