=== debian/changelog ===
lomiri-url-dispatcher (0.1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/patches:
    + Drop 1002_adjust-to-sqlite3-upper-case-types.patch. Applied upstream.
  * debian/lomiri-url-dispatcher-tools-gui.install:
    + Add /usr/bin/lomiri-url-dispatcher-gui.
  * debian/copyright:
    + Update copyright attributions.
  * debian/lomiri-url-dispatcher-tools-gui.lintian-overrides:
    + Drop file. Not needed anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 11:20:17 +0200

lomiri-url-dispatcher (0.1.3-3) unstable; urgency=medium

  * debian/control:
    + Drop from B-D: python3-nose. The test using nosetests3 is currently
      disabled, thus python3-nose is not needed at build time. (Closes:
      #1018404).
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Aug 2024 18:49:19 +0200

lomiri-url-dispatcher (0.1.3-2) unstable; urgency=medium

  * debian/control:
    + Replace systemd by systemd-dev in B-D. (Closes: #1060544).
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 16:30:58 +0200
