=== debian/control ===
--- 
+++ 
@@ -26,11 +26,10 @@
                python3,
                python3-dbusmock,
                python3-fixtures,
-               python3-nose,
                python3-testtools,
                sqlite3,
-               systemd,
-Standards-Version: 4.6.2
+               systemd-dev [linux-any],
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-url-dispatcher
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-url-dispatcher.git
