=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_BUILD_TYPE=debug
+	dh_auto_configure -- -DCMAKE_BUILD_TYPE=debug -Denable_mirclient=off
 
 override_dh_missing:
 	dh_missing --fail-missing
